<?php

namespace App\Filament\Admin\Resources\CustomerResource\RelationManagers;

use App\Filament\Admin\Resources\PaymentResource;
use Filament\Forms;
use Filament\Forms\Form;
use Filament\Resources\RelationManagers\RelationManager;
use Filament\Tables;
use Filament\Tables\Table;

class PaymentsRelationManager extends RelationManager
{
    protected static string $relationship = 'payments';

    public function form(Form $form): Form
    {
        return $form
            ->schema([
                //                PaymentResource
                //                Forms\Components\TextInput::make('amount')
                //                    ->required()
                //                    ->maxLength(255),
            ]);
    }

    public function table(Table $table): Table
    {
        return PaymentResource::table($table);

        /*        return $table
                    ->recordTitleAttribute('amount')
                    ->columns([
                        Tables\Columns\TextColumn::make('amount'),
                    ])
                    ->headerActions([
                        Tables\Actions\CreateAction::make(),
                    ]);*/
    }
}
